import * as SNS from '@aws-sdk/client-sns';
import { ILogger } from 'typescript-ilogger';
import { ISNSHelper } from './interface';
import { BaseClass } from 'typescript-helper-functions';
import { MessageAttributeValue } from './any';
export declare class SNSHelper extends BaseClass implements ISNSHelper {
    private Repository;
    private Options;
    constructor(logger: ILogger, repository?: SNS.SNS, options?: SNS.SNSClientConfig);
    PublishAsync(topicArn: string, subject: string, message: string, messageAttributes?: MessageAttributeValue): Promise<SNS.PublishResponse>;
}
